import request from '@/utils/request'

// 创建指南信息
export function createInformation(data) {
  return request({
    url: '/system/information/create',
    method: 'post',
    data: data
  })
}

// 更新指南信息
export function updateInformation(data) {
  return request({
    url: '/system/information/update',
    method: 'put',
    data: data
  })
}

// 删除指南信息
export function deleteInformation(id) {
  return request({
    url: '/system/information/delete?id=' + id,
    method: 'delete'
  })
}

// 获得指南信息
export function getInformation(id) {
  return request({
    url: '/system/information/get?id=' + id,
    method: 'get'
  })
}

// 获得指南信息分页
export function getInformationPage(query) {
  return request({
    url: '/system/information/page',
    method: 'get',
    params: query
  })
}

// 导出指南信息 Excel
export function exportInformationExcel(query) {
  return request({
    url: '/system/information/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
